/genesys-workforce | Type: Application | PCID required: Yes
Tools
genesys_workforce_delete_managementunit
Delete management unit Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit, or ‘mine’ for the management unit of the logged-in user. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit, or 'mine' for the management unit of the logged-in user."
}
},
"required": [
"PCID",
"managementUnitId"
]
}
genesys_workforce_delete_managementunit_timeofflimit
Deletes a time off limit object Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit. |
timeOffLimitId | string | Yes | — | The ID of the time off limit object to delete |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit."
},
"timeOffLimitId": {
"type": "string",
"description": "The ID of the time off limit object to delete"
}
},
"required": [
"PCID",
"managementUnitId",
"timeOffLimitId"
]
}
genesys_workforce_delete_managementunit_timeoffplan
Deletes a time off plan Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit |
timeOffPlanId | string | Yes | — | The ID of the time off plan to delete |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit"
},
"timeOffPlanId": {
"type": "string",
"description": "The ID of the time off plan to delete"
}
},
"required": [
"PCID",
"managementUnitId",
"timeOffPlanId"
]
}
genesys_workforce_delete_managementunit_workplan
Delete a work plan Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit, or ‘mine’ for the management unit of the logged-in user. |
workPlanId | string | Yes | — | The ID of the work plan to delete |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit, or 'mine' for the management unit of the logged-in user."
},
"workPlanId": {
"type": "string",
"description": "The ID of the work plan to delete"
}
},
"required": [
"PCID",
"managementUnitId",
"workPlanId"
]
}
genesys_workforce_delete_managementunit_workplanrotation
Delete a work plan rotation Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit, or ‘mine’ for the management unit of the logged-in user. |
workPlanRotationId | string | Yes | — | The ID of the work plan rotation to be deleted |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit, or 'mine' for the management unit of the logged-in user."
},
"workPlanRotationId": {
"type": "string",
"description": "The ID of the work plan rotation to be deleted"
}
},
"required": [
"PCID",
"managementUnitId",
"workPlanRotationId"
]
}
genesys_workforce_get_adherence
Get a list of UserScheduleAdherence records for the requested users Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
userId | string[] | Yes | — | User Id(s) for which to fetch current schedule adherence information. Min 1, Max of 100 userIds per request |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"userId": {
"type": "array",
"items": {
"type": "string"
},
"description": "User Id(s) for which to fetch current schedule adherence information. Min 1, Max of 100 userIds per request"
}
},
"required": [
"PCID",
"userId"
]
}
genesys_workforce_get_adherence_explanation
Get an adherence explanation for the current user Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
explanationId | string | Yes | — | The ID of the explanation to update |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"explanationId": {
"type": "string",
"description": "The ID of the explanation to update"
}
},
"required": [
"PCID",
"explanationId"
]
}
genesys_workforce_get_adherence_explanations_job
Query the status of an adherence explanation operation. Only the user who started the operation can query the status Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
jobId | string | Yes | — | The ID of the job |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"jobId": {
"type": "string",
"description": "The ID of the job"
}
},
"required": [
"PCID",
"jobId"
]
}
genesys_workforce_get_adherence_historical_job
Query the status of a historical adherence request operation. Only the user who started the operation can query the status Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
jobId | string | Yes | — | Job Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"jobId": {
"type": "string",
"description": "Job Id"
}
},
"required": [
"PCID",
"jobId"
]
}
genesys_workforce_get_agent_adherence_explanation
Get an adherence explanation Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agentId | string | Yes | — | The ID of the agent to query |
explanationId | string | Yes | — | The ID of the explanation to update |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"agentId": {
"type": "string",
"description": "The ID of the agent to query"
},
"explanationId": {
"type": "string",
"description": "The ID of the explanation to update"
}
},
"required": [
"PCID",
"agentId",
"explanationId"
]
}
genesys_workforce_get_agent_managementunit
Get the management unit to which the agent belongs Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agentId | string | Yes | — | The ID of the agent to look up |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"agentId": {
"type": "string",
"description": "The ID of the agent to look up"
}
},
"required": [
"PCID",
"agentId"
]
}
genesys_workforce_get_agents_me_adherence_historical_job
Request to fetch the status of the agent adherence job. Only the user who started the operation can query the status Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
jobId | string | Yes | — | ID of the job to get |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"jobId": {
"type": "string",
"description": "ID of the job to get"
}
},
"required": [
"PCID",
"jobId"
]
}
genesys_workforce_get_agents_me_managementunit
Get the management unit to which the currently logged in agent belongsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
genesys_workforce_get_managementunit
Get management unit Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit, or ‘mine’ for the management unit of the logged-in user. |
expand | string[] | No | — | Related resources to expand inline |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit, or 'mine' for the management unit of the logged-in user."
},
"expand": {
"type": "array",
"items": {
"type": "string",
"enum": [
"settings",
"settings.adherence",
"settings.timeOff",
"settings.scheduling",
"settings.shortTermForecasting",
"settings.shiftTrading"
]
},
"description": "Related resources to expand inline"
}
},
"required": [
"PCID",
"managementUnitId"
]
}
genesys_workforce_get_managementunit_adherence
Get a list of user schedule adherence records for the requested management unit Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit |
forceDownloadService | boolean | No | — | Force the result of this operation to be sent via download service. For testing/app development purposes |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit"
},
"forceDownloadService": {
"type": "boolean",
"description": "Force the result of this operation to be sent via download service. For testing/app development purposes"
}
},
"required": [
"PCID",
"managementUnitId"
]
}
genesys_workforce_get_managementunit_agent
Get data for agent in the management unit Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit, or ‘mine’ for the management unit of the logged-in user. |
agentId | string | Yes | — | The agent id |
excludeCapabilities | boolean | No | — | Excludes all capabilities of the agent such as queues, languages, and skills |
expand | string[] | No | — | Related resources to expand inline |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit, or 'mine' for the management unit of the logged-in user."
},
"agentId": {
"type": "string",
"description": "The agent id"
},
"excludeCapabilities": {
"type": "boolean",
"description": "Excludes all capabilities of the agent such as queues, languages, and skills"
},
"expand": {
"type": "array",
"items": {
"type": "string",
"enum": [
"workPlanOverrides"
]
},
"description": "Related resources to expand inline"
}
},
"required": [
"PCID",
"managementUnitId",
"agentId"
]
}
genesys_workforce_get_managementunit_agent_shifttrades
Gets all the shift trades for a given agent Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit, or ‘mine’ for the management unit of the logged-in user. |
agentId | string | Yes | — | The agent id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit, or 'mine' for the management unit of the logged-in user."
},
"agentId": {
"type": "string",
"description": "The agent id"
}
},
"required": [
"PCID",
"managementUnitId",
"agentId"
]
}
genesys_workforce_get_managementunit_shifttrades_matched
Gets a summary of all shift trades in the matched state Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit, or ‘mine’ for the management unit of the logged-in user. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit, or 'mine' for the management unit of the logged-in user."
}
},
"required": [
"PCID",
"managementUnitId"
]
}
genesys_workforce_get_managementunit_shifttrades_users
Gets list of users available for whom you can send direct shift trade requests Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit, or ‘mine’ for the management unit of the logged-in user. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit, or 'mine' for the management unit of the logged-in user."
}
},
"required": [
"PCID",
"managementUnitId"
]
}
genesys_workforce_get_managementunit_timeofflimit
Gets a time off limit object Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit. |
timeOffLimitId | string | Yes | — | The ID of the time off limit to fetch |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit."
},
"timeOffLimitId": {
"type": "string",
"description": "The ID of the time off limit to fetch"
}
},
"required": [
"PCID",
"managementUnitId",
"timeOffLimitId"
]
}
genesys_workforce_get_managementunit_timeofflimits
Gets a list of time off limit objects under management unit. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit."
}
},
"required": [
"PCID",
"managementUnitId"
]
}
genesys_workforce_get_managementunit_timeoffplan
Gets a time off plan Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit |
timeOffPlanId | string | Yes | — | The ID of the time off plan to fetch |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit"
},
"timeOffPlanId": {
"type": "string",
"description": "The ID of the time off plan to fetch"
}
},
"required": [
"PCID",
"managementUnitId",
"timeOffPlanId"
]
}
genesys_workforce_get_managementunit_timeoffplans
Gets a list of time off plans Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit"
}
},
"required": [
"PCID",
"managementUnitId"
]
}
genesys_workforce_get_managementunit_user_timeoffrequest
Get a time off request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit, or ‘mine’ for the management unit of the logged-in user. |
userId | string | Yes | — | The userId to whom the Time Off Request applies. |
timeOffRequestId | string | Yes | — | Time Off Request Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit, or 'mine' for the management unit of the logged-in user."
},
"userId": {
"type": "string",
"description": "The userId to whom the Time Off Request applies."
},
"timeOffRequestId": {
"type": "string",
"description": "Time Off Request Id"
}
},
"required": [
"PCID",
"managementUnitId",
"userId",
"timeOffRequestId"
]
}
genesys_workforce_get_managementunit_user_timeoffrequest_timeofflimits
Retrieves time off limit, allocated and waitlisted values according to specific time off request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit. |
userId | string | Yes | — | The userId to whom the time off request applies. |
timeOffRequestId | string | Yes | — | The ID of the time off request, which dates and activityCodeId determine limit values to retrieve |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit."
},
"userId": {
"type": "string",
"description": "The userId to whom the time off request applies."
},
"timeOffRequestId": {
"type": "string",
"description": "The ID of the time off request, which dates and activityCodeId determine limit values to retrieve"
}
},
"required": [
"PCID",
"managementUnitId",
"userId",
"timeOffRequestId"
]
}
genesys_workforce_get_managementunit_user_timeoffrequests
Get a list of time off requests for a given user Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit, or ‘mine’ for the management unit of the logged-in user. |
userId | string | Yes | — | The userId to whom the Time Off Request applies. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit, or 'mine' for the management unit of the logged-in user."
},
"userId": {
"type": "string",
"description": "The userId to whom the Time Off Request applies."
}
},
"required": [
"PCID",
"managementUnitId",
"userId"
]
}
genesys_workforce_get_managementunit_users
Get users in the management unit Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit, or ‘mine’ for the management unit of the logged-in user. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit, or 'mine' for the management unit of the logged-in user."
}
},
"required": [
"PCID",
"managementUnitId"
]
}
genesys_workforce_get_managementunit_week_shifttrades
Gets all the shift trades for a given week Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit, or ‘mine’ for the management unit of the logged-in user. |
weekDateId | string | Yes | — | The start week date of the initiating shift in yyyy-MM-dd format. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd |
evaluateMatches | boolean | No | — | Whether to evaluate the matches for violations |
includeCrossWeekShifts | boolean | No | — | Whether to include all shift trades with either the initiating shift or the receiving shift in the week |
forceDownloadService | boolean | No | — | Force the result of this operation to be sent via download service. For testing/app development purposes |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit, or 'mine' for the management unit of the logged-in user."
},
"weekDateId": {
"type": "string",
"description": "The start week date of the initiating shift in yyyy-MM-dd format. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd"
},
"evaluateMatches": {
"type": "boolean",
"description": "Whether to evaluate the matches for violations"
},
"includeCrossWeekShifts": {
"type": "boolean",
"description": "Whether to include all shift trades with either the initiating shift or the receiving shift in the week"
},
"forceDownloadService": {
"type": "boolean",
"description": "Force the result of this operation to be sent via download service. For testing/app development purposes"
}
},
"required": [
"PCID",
"managementUnitId",
"weekDateId"
]
}
genesys_workforce_get_managementunit_workplan
Get a work plan Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit, or ‘mine’ for the management unit of the logged-in user. |
workPlanId | string | Yes | — | The ID of the work plan to fetch |
includeOnly | string[] | No | — | limit response to the specified fields |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit, or 'mine' for the management unit of the logged-in user."
},
"workPlanId": {
"type": "string",
"description": "The ID of the work plan to fetch"
},
"includeOnly": {
"type": "array",
"items": {
"type": "string",
"enum": [
"agentCount",
"agents",
"optionalDays",
"shifts",
"shiftStartVariances"
]
},
"description": "limit response to the specified fields"
}
},
"required": [
"PCID",
"managementUnitId",
"workPlanId"
]
}
genesys_workforce_get_managementunit_workplanrotation
Get a work plan rotation Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit, or ‘mine’ for the management unit of the logged-in user. |
workPlanRotationId | string | Yes | — | The ID of the work plan rotation to fetch |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit, or 'mine' for the management unit of the logged-in user."
},
"workPlanRotationId": {
"type": "string",
"description": "The ID of the work plan rotation to fetch"
}
},
"required": [
"PCID",
"managementUnitId",
"workPlanRotationId"
]
}
genesys_workforce_get_managementunit_workplanrotations
Get work plan rotations Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit, or ‘mine’ for the management unit of the logged-in user. |
expand | string[] | No | — | Related resources to expand inline |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit, or 'mine' for the management unit of the logged-in user."
},
"expand": {
"type": "array",
"items": {
"type": "string",
"enum": [
"agents"
]
},
"description": "Related resources to expand inline"
}
},
"required": [
"PCID",
"managementUnitId"
]
}
genesys_workforce_get_managementunit_workplans
Get work plans Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit, or ‘mine’ for the management unit of the logged-in user. |
expand | string[] | No | — | Include to access additional data on the work plans |
exclude | string[] | No | — | Exclude specific data on the work plans from the response |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit, or 'mine' for the management unit of the logged-in user."
},
"expand": {
"type": "array",
"items": {
"type": "string",
"enum": [
"agentCount",
"agents",
"optionalDays",
"shifts",
"shiftStartVariances",
"details"
]
},
"description": "Include to access additional data on the work plans"
},
"exclude": {
"type": "array",
"items": {
"type": "string",
"enum": [
"shifts.activities"
]
},
"description": "Exclude specific data on the work plans from the response"
}
},
"required": [
"PCID",
"managementUnitId"
]
}
genesys_workforce_get_managementunits
Get management units Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pageSize | integer | No | — | Deprecated, paging is not supported |
pageNumber | integer | No | — | Deprecated, paging is not supported |
expand | string | No | — | Deprecated, expand settings on the single MU route |
feature | string | No | — | If specified, the list of management units for which the user is authorized to use the requested feature will be returned |
divisionId | string | No | — | If specified, the list of management units belonging to the specified division will be returned |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pageSize": {
"type": "integer",
"description": "Deprecated, paging is not supported"
},
"pageNumber": {
"type": "integer",
"description": "Deprecated, paging is not supported"
},
"expand": {
"type": "string",
"description": "Deprecated, expand settings on the single MU route",
"enum": [
"details"
]
},
"feature": {
"type": "string",
"description": "If specified, the list of management units for which the user is authorized to use the requested feature will be returned",
"enum": [
"AgentHistoricalAdherence",
"AgentHistoricalAdherenceConformance",
"AgentSchedule",
"AgentAdherenceAdjustments",
"AgentTimeOffRequest",
"AgentWorkPlanBid",
"AgentScheduleBid",
"AgentShiftTrade",
"AlternativeShift",
"Coaching",
"Learning",
"AgentUnavailableTimes",
"AgentSelfScheduleJob",
"AgentSelfScheduleOffers",
"AgentSelfScheduleQuery",
"AgentSelfScheduleActivityMove",
"SelfScheduleSettings",
"AgentSelfScheduleSettings",
"AgentOpportunitiesQuery",
"AgentOpportunitiesEnrollments",
"AgentOpportunitiesEnrollmentsStatuses",
"AgentSchedulingPreferencesQuery",
"AgentSchedulingPreferences",
"AgentSchedulingPreferencesSettings",
"ActivityCodes",
"ActivityPlans",
"AdherenceAdjustmentsSettings",
"AdherenceAdjustmentsReasonCodes",
"AdherenceAdjustments",
"UnavailableTimes",
"Agents",
"BuActivityCodes",
"BusinessUnits",
"CapacityPlan",
"CapacityPlanForecastInputs",
"CapacityPlanPerformancePrediction",
"ContinuousForecast",
"HistoricalAdherence",
"HistoricalShrinkage",
"IntradayMonitoring",
"BuIntradayMonitoring",
"ManagementUnits",
"RealTimeAdherence",
"Schedules",
"BuSchedules",
"ServiceGoalTemplates",
"PlanningGroups",
"LongTermStaffing",
"ShiftTrading",
"ShortTermForecasts",
"BuShortTermForecasts",
"StaffingGroups",
"TimeOffPlans",
"TimeOffRequests",
"TimeOffLimits",
"WorkPlanBids",
"WorkPlanBidGroups",
"WorkPlanRotations",
"WorkPlans",
"ScheduleBid",
"ScheduleBidGroup",
"Opportunities",
"OpportunitiesQuery",
"OpportunitiesEnrollmentsQuery",
"OpportunitiesExternalActivitiesQuery",
"OpportunitiesStatuses",
"OpportunitiesEnrollmentsStatuses",
"SchedulingPreferencesQuery",
"SchedulingPreferencesSettings",
"DecisionMetrics"
]
},
"divisionId": {
"type": "string",
"description": "If specified, the list of management units belonging to the specified division will be returned"
}
},
"required": [
"PCID"
]
}
genesys_workforce_get_notifications
Get a list of notifications for the current userShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
genesys_workforce_get_shifttrades
Gets all of my shift tradesShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
genesys_workforce_get_team_adherence
Get a list of user schedule adherence records for the requested team Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
teamId | string | Yes | — | The ID of the team |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"teamId": {
"type": "string",
"description": "The ID of the team"
}
},
"required": [
"PCID",
"teamId"
]
}
genesys_workforce_get_timeoffbalance_job
Query the results of time off types job Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
jobId | string | Yes | — | The ID of the job. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"jobId": {
"type": "string",
"description": "The ID of the job."
}
},
"required": [
"PCID",
"jobId"
]
}
genesys_workforce_get_timeoffrequest
Get a time off request for the current user Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
timeOffRequestId | string | Yes | — | The ID of the time off request |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"timeOffRequestId": {
"type": "string",
"description": "The ID of the time off request"
}
},
"required": [
"PCID",
"timeOffRequestId"
]
}
genesys_workforce_get_timeoffrequest_waitlistpositions
Get the daily waitlist positions of a time off request for the current user Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
timeOffRequestId | string | Yes | — | The ID of the time off request |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"timeOffRequestId": {
"type": "string",
"description": "The ID of the time off request"
}
},
"required": [
"PCID",
"timeOffRequestId"
]
}
genesys_workforce_get_timeoffrequests
Get a list of time off requests for the current userShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
genesys_workforce_get_workforcemanagement_adherence
Get a list of UserScheduleAdherence records for the requested users Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
userId | any[] | Yes | — | User Id(s) for which to fetch current schedule adherence information. Min 1, Max of 100 userIds per request |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"userId": {
"type": "array",
"description": "User Id(s) for which to fetch current schedule adherence information. Min 1, Max of 100 userIds per request"
}
},
"required": [
"PCID",
"userId"
]
}
genesys_workforce_get_workforcemanagement_managementunit
Get management unit Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit, or ‘mine’ for the management unit of the logged-in user. |
expand | any[] | No | — | expand |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit, or 'mine' for the management unit of the logged-in user."
},
"expand": {
"type": "array",
"description": "expand"
}
},
"required": [
"PCID",
"managementUnitId"
]
}
genesys_workforce_get_workforcemanagement_managementunit_adherence
Get a list of user schedule adherence records for the requested management unit Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit |
forceDownloadService | boolean | No | — | Force the result of this operation to be sent via download service. For testing/app development purposes |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit"
},
"forceDownloadService": {
"type": "boolean",
"description": "Force the result of this operation to be sent via download service. For testing/app development purposes"
}
},
"required": [
"PCID",
"managementUnitId"
]
}
genesys_workforce_get_workforcemanagement_managementunit_agent
Get data for agent in the management unit Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit, or ‘mine’ for the management unit of the logged-in user. |
agentId | string | Yes | — | The agent id |
excludeCapabilities | boolean | No | — | Excludes all capabilities of the agent such as queues, languages, and skills |
expand | any[] | No | — | expand |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit, or 'mine' for the management unit of the logged-in user."
},
"agentId": {
"type": "string",
"description": "The agent id"
},
"excludeCapabilities": {
"type": "boolean",
"description": "Excludes all capabilities of the agent such as queues, languages, and skills"
},
"expand": {
"type": "array",
"description": "expand"
}
},
"required": [
"PCID",
"managementUnitId",
"agentId"
]
}
genesys_workforce_get_workforcemanagement_managementunit_user_timeoffrequests
Get a list of time off requests for a given user Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit, or ‘mine’ for the management unit of the logged-in user. |
userId | string | Yes | — | The userId to whom the Time Off Request applies. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit, or 'mine' for the management unit of the logged-in user."
},
"userId": {
"type": "string",
"description": "The userId to whom the Time Off Request applies."
}
},
"required": [
"PCID",
"managementUnitId",
"userId"
]
}
genesys_workforce_get_workforcemanagement_managementunit_users
Get users in the management unit Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit, or ‘mine’ for the management unit of the logged-in user. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit, or 'mine' for the management unit of the logged-in user."
}
},
"required": [
"PCID",
"managementUnitId"
]
}
genesys_workforce_get_workforcemanagement_managementunits
Get management units Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pageSize | integer | No | — | Deprecated, paging is not supported |
pageNumber | integer | No | — | Deprecated, paging is not supported |
expand | string | No | — | Deprecated, expand settings on the single MU route |
feature | string | No | — | If specified, the list of management units for which the user is authorized to use the requested feature will be returned |
divisionId | string | No | — | If specified, the list of management units belonging to the specified division will be returned |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pageSize": {
"type": "integer",
"description": "Deprecated, paging is not supported"
},
"pageNumber": {
"type": "integer",
"description": "Deprecated, paging is not supported"
},
"expand": {
"type": "string",
"description": "Deprecated, expand settings on the single MU route",
"enum": [
"details"
]
},
"feature": {
"type": "string",
"description": "If specified, the list of management units for which the user is authorized to use the requested feature will be returned",
"enum": [
"AgentHistoricalAdherence",
"AgentHistoricalAdherenceConformance",
"AgentSchedule",
"AgentTimeOffRequest",
"AgentWorkPlanBid",
"AgentScheduleBid",
"AlternativeShift",
"Coaching",
"Learning",
"AgentUnavailableTimes",
"AgentOpportunitiesQuery",
"AgentOpportunitiesEnrollments",
"AgentOpportunitiesEnrollmentsStatuses",
"ActivityCodes",
"ActivityPlans",
"UnavailableTimes",
"Agents",
"BuActivityCodes",
"BusinessUnits",
"CapacityPlan",
"ContinuousForecast",
"HistoricalAdherence",
"HistoricalShrinkage",
"IntradayMonitoring",
"BuIntradayMonitoring",
"ManagementUnits",
"RealTimeAdherence",
"Schedules",
"BuSchedules",
"ServiceGoalTemplates",
"PlanningGroups",
"LongTermStaffing",
"ShiftTrading",
"ShortTermForecasts",
"BuShortTermForecasts",
"StaffingGroups",
"TimeOffPlans",
"TimeOffRequests",
"TimeOffLimits",
"WorkPlanBids",
"WorkPlanBidGroups",
"WorkPlanRotations",
"WorkPlans",
"ScheduleBid",
"ScheduleBidGroup",
"Opportunities",
"OpportunitiesQuery",
"OpportunitiesEnrollmentsQuery",
"OpportunitiesExternalActivitiesQuery",
"OpportunitiesStatuses",
"OpportunitiesEnrollmentsStatuses"
]
},
"divisionId": {
"type": "string",
"description": "If specified, the list of management units belonging to the specified division will be returned"
}
},
"required": [
"PCID"
]
}
genesys_workforce_get_workforcemanagement_notifications
Get a list of notifications for the current userShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
genesys_workforce_get_workforcemanagement_team_adherence
Get a list of user schedule adherence records for the requested team Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
teamId | string | Yes | — | The ID of the team |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"teamId": {
"type": "string",
"description": "The ID of the team"
}
},
"required": [
"PCID",
"teamId"
]
}
genesys_workforce_get_workforcemanagement_timeoffrequest
Get a time off request for the current user Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
timeOffRequestId | string | Yes | — | The ID of the time off request |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"timeOffRequestId": {
"type": "string",
"description": "The ID of the time off request"
}
},
"required": [
"PCID",
"timeOffRequestId"
]
}
genesys_workforce_get_workforcemanagement_timeoffrequests
Get a list of time off requests for the current userShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
genesys_workforce_patch_agent_adherence_explanation
Update an adherence explanation Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agentId | string | Yes | — | The ID of the agent to query |
explanationId | string | Yes | — | The ID of the explanation to update |
status | string | No | — | The status of the adherence explanation |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"agentId": {
"type": "string",
"description": "The ID of the agent to query"
},
"explanationId": {
"type": "string",
"description": "The ID of the explanation to update"
},
"status": {
"type": "string",
"description": "The status of the adherence explanation",
"enum": [
"Pending",
"Approved",
"Denied"
]
}
},
"required": [
"PCID",
"agentId",
"explanationId"
]
}
genesys_workforce_patch_managementunit
Update the requested management unit Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit, or ‘mine’ for the management unit of the logged-in user. |
divisionId | string | No | — | The new division id for the management unit |
name | string | No | — | The new name of the management unit |
settings | object | No | — | The settings value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit, or 'mine' for the management unit of the logged-in user."
},
"divisionId": {
"type": "string",
"description": "The new division id for the management unit"
},
"name": {
"type": "string",
"description": "The new name of the management unit"
},
"settings": {
"type": "object",
"description": "The settings value",
"properties": {
"adherence": {
"type": "object",
"description": "The adherence value"
},
"shortTermForecasting": {
"type": "object",
"description": "Short Term Forecasting"
},
"timeOff": {
"type": "object",
"description": "Time Off"
},
"scheduling": {
"type": "object",
"description": "The scheduling value"
},
"shiftTrading": {
"type": "object",
"description": "Shift Trading"
},
"metadata": {
"type": "object",
"description": "The metadata value"
}
},
"required": [
"metadata"
]
}
},
"required": [
"PCID",
"managementUnitId"
]
}
genesys_workforce_patch_managementunit_agents
Update agent configurations Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit, or ‘mine’ for the management unit of the logged-in user. |
entities | object[] | No | — | List of agents to update |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit, or 'mine' for the management unit of the logged-in user."
},
"entities": {
"type": "array",
"items": {
"type": "object",
"properties": {
"schedulable": {
"type": "boolean",
"description": "Whether the agent can be included in schedule generation"
},
"userId": {
"type": "string",
"description": "User to be updated"
}
},
"required": [
"userId"
]
},
"description": "List of agents to update"
}
},
"required": [
"PCID",
"managementUnitId"
]
}
genesys_workforce_patch_managementunit_timeofflimit
Updates a time off limit object. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit. |
timeOffLimitId | string | Yes | — | The id of time off limit object to update |
defaultLimitMinutes | integer | No | — | The default time off limit value in minutes per granularity |
metadata | object | Yes | — | The metadata value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit."
},
"timeOffLimitId": {
"type": "string",
"description": "The id of time off limit object to update"
},
"defaultLimitMinutes": {
"type": "integer",
"description": "The default time off limit value in minutes per granularity"
},
"metadata": {
"type": "object",
"description": "The metadata value",
"properties": {
"modifiedBy": {
"type": "object",
"description": "Modified By"
},
"dateModified": {
"type": "string",
"description": "The date the associated entity was last modified. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
},
"createdBy": {
"type": "object",
"description": "Created By"
},
"dateCreated": {
"type": "string",
"description": "The date the associated entity was created, if available. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
},
"version": {
"type": "integer",
"description": "The version of the associated entity. Used to prevent conflicts on concurrent edits"
}
},
"required": [
"version"
]
}
},
"required": [
"PCID",
"managementUnitId",
"timeOffLimitId",
"metadata"
]
}
genesys_workforce_patch_managementunit_timeoffplan
Updates a time off plan Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit |
timeOffPlanId | string | Yes | — | The ID of the time off plan to update |
active | boolean | No | — | Whether this time off plan should be used by agents. |
activityCodeIds | object | No | — | Activity Code Ids |
autoApprovalRule | string | No | — | Auto approval rule for the time off plan. |
daysBeforeStartToExpireFromWaitlist | integer | No | — | The number of days before the time off request start date for when the request will be expired from the waitlist. |
hrisTimeOffType | object | No | — | Hris Time Off Type |
metadata | object | Yes | — | The metadata value |
name | string | No | — | The name of this time off plan. |
timeOffLimitIds | object | No | — | Time Off Limit Ids |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit"
},
"timeOffPlanId": {
"type": "string",
"description": "The ID of the time off plan to update"
},
"active": {
"type": "boolean",
"description": "Whether this time off plan should be used by agents."
},
"activityCodeIds": {
"type": "object",
"description": "Activity Code Ids",
"properties": {
"values": {
"type": "array",
"items": {
"type": "string"
},
"description": "The values value"
}
}
},
"autoApprovalRule": {
"type": "string",
"description": "Auto approval rule for the time off plan.",
"enum": [
"Never",
"Always",
"CheckLimits",
"CheckActivityCodes",
"CheckLimitsAndActivityCodes"
]
},
"daysBeforeStartToExpireFromWaitlist": {
"type": "integer",
"description": "The number of days before the time off request start date for when the request will be expired from the waitlist."
},
"hrisTimeOffType": {
"type": "object",
"description": "Hris Time Off Type",
"properties": {
"value": {
"type": "object",
"description": "The value value"
}
}
},
"metadata": {
"type": "object",
"description": "The metadata value",
"properties": {
"modifiedBy": {
"type": "object",
"description": "Modified By"
},
"dateModified": {
"type": "string",
"description": "The date the associated entity was last modified. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
},
"createdBy": {
"type": "object",
"description": "Created By"
},
"dateCreated": {
"type": "string",
"description": "The date the associated entity was created, if available. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
},
"version": {
"type": "integer",
"description": "The version of the associated entity. Used to prevent conflicts on concurrent edits"
}
},
"required": [
"version"
]
},
"name": {
"type": "string",
"description": "The name of this time off plan."
},
"timeOffLimitIds": {
"type": "object",
"description": "Time Off Limit Ids",
"properties": {
"values": {
"type": "array",
"items": {
"type": "string"
},
"description": "The values value"
}
}
}
},
"required": [
"PCID",
"managementUnitId",
"timeOffPlanId",
"metadata"
]
}
genesys_workforce_patch_managementunit_timeoffrequest_user_integrationstatus
Set integration status for a time off request. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit. |
timeOffRequestId | string | Yes | — | The ID of the time off request. |
userId | string | Yes | — | The ID of user to whom the time off request belongs. |
integrationStatus | string | Yes | — | The integration status value for the time off request |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit."
},
"timeOffRequestId": {
"type": "string",
"description": "The ID of the time off request."
},
"userId": {
"type": "string",
"description": "The ID of user to whom the time off request belongs."
},
"integrationStatus": {
"type": "string",
"description": "The integration status value for the time off request",
"enum": [
"Processing",
"Error",
"AutomaticallyComplete",
"ManuallyComplete"
]
}
},
"required": [
"PCID",
"managementUnitId",
"timeOffRequestId",
"userId",
"integrationStatus"
]
}
genesys_workforce_patch_managementunit_user_timeoffrequest
Update a time off request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit, or ‘mine’ for the management unit of the logged-in user. |
userId | string | Yes | — | The id of the user the requested time off request belongs to |
timeOffRequestId | string | Yes | — | The id of the time off request to update |
activityCodeId | string | No | — | The ID of the activity code associated with this time off request. Activity code must be of the TimeOff category |
dailyDurationMinutes | integer | No | — | The daily duration of this time off request in minutes |
durationMinutes | integer[] | No | — | Daily durations for each day of this time off request in minutes |
fullDayEarliestStartOffsetMinutes | object | No | — | Full Day Earliest Start Offset Minutes |
fullDayLatestEndOffsetMinutes | object | No | — | Full Day Latest End Offset Minutes |
fullDayManagementUnitDates | string[] | No | — | A set of dates in yyyy-MM-dd format. Should be interpreted in the management unit’s configured time zone |
metadata | object | Yes | — | The metadata value |
notes | string | No | — | Notes about the time off request |
paid | boolean | No | — | Whether this is a paid time off request |
partialDayStartDateTimes | string[] | No | — | A set of start date-times in ISO-8601 format for partial day requests |
payableMinutes | integer[] | No | — | Payable minutes for each day of this time off request |
status | string | No | — | The status of this time off request |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit, or 'mine' for the management unit of the logged-in user."
},
"userId": {
"type": "string",
"description": "The id of the user the requested time off request belongs to"
},
"timeOffRequestId": {
"type": "string",
"description": "The id of the time off request to update"
},
"activityCodeId": {
"type": "string",
"description": "The ID of the activity code associated with this time off request. Activity code must be of the TimeOff category"
},
"dailyDurationMinutes": {
"type": "integer",
"description": "The daily duration of this time off request in minutes"
},
"durationMinutes": {
"type": "array",
"items": {
"type": "integer",
"format": "int32"
},
"description": "Daily durations for each day of this time off request in minutes"
},
"fullDayEarliestStartOffsetMinutes": {
"type": "object",
"description": "Full Day Earliest Start Offset Minutes",
"properties": {
"values": {
"type": "array",
"items": {
"type": "integer",
"format": "int32"
},
"description": "The values value"
}
}
},
"fullDayLatestEndOffsetMinutes": {
"type": "object",
"description": "Full Day Latest End Offset Minutes",
"properties": {
"values": {
"type": "array",
"items": {
"type": "integer",
"format": "int32"
},
"description": "The values value"
}
}
},
"fullDayManagementUnitDates": {
"type": "array",
"items": {
"type": "string"
},
"description": "A set of dates in yyyy-MM-dd format. Should be interpreted in the management unit's configured time zone"
},
"metadata": {
"type": "object",
"description": "The metadata value",
"properties": {
"modifiedBy": {
"type": "object",
"description": "Modified By"
},
"dateModified": {
"type": "string",
"description": "The date the associated entity was last modified. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
},
"createdBy": {
"type": "object",
"description": "Created By"
},
"dateCreated": {
"type": "string",
"description": "The date the associated entity was created, if available. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
},
"version": {
"type": "integer",
"description": "The version of the associated entity. Used to prevent conflicts on concurrent edits"
}
},
"required": [
"version"
]
},
"notes": {
"type": "string",
"description": "Notes about the time off request"
},
"paid": {
"type": "boolean",
"description": "Whether this is a paid time off request"
},
"partialDayStartDateTimes": {
"type": "array",
"items": {
"type": "string",
"format": "date-time"
},
"description": "A set of start date-times in ISO-8601 format for partial day requests"
},
"payableMinutes": {
"type": "array",
"items": {
"type": "integer",
"format": "int32"
},
"description": "Payable minutes for each day of this time off request"
},
"status": {
"type": "string",
"description": "The status of this time off request",
"enum": [
"PENDING",
"APPROVED",
"DENIED"
]
}
},
"required": [
"PCID",
"managementUnitId",
"userId",
"timeOffRequestId",
"metadata"
]
}
genesys_workforce_patch_managementunit_week_shifttrade
Updates a shift trade. This route can only be called by the initiating agent Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit, or ‘mine’ for the management unit of the logged-in user. |
weekDateId | string | Yes | — | The start week date of the initiating shift in yyyy-MM-dd format. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd |
tradeId | string | Yes | — | The ID of the shift trade to update |
acceptableIntervals | object | No | — | Acceptable Intervals |
expiration | object | No | — | The expiration value |
metadata | object | Yes | — | The metadata value |
receivingUserId | object | No | — | Receiving User Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit, or 'mine' for the management unit of the logged-in user."
},
"weekDateId": {
"type": "string",
"description": "The start week date of the initiating shift in yyyy-MM-dd format. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd"
},
"tradeId": {
"type": "string",
"description": "The ID of the shift trade to update"
},
"acceptableIntervals": {
"type": "object",
"description": "Acceptable Intervals",
"properties": {
"values": {
"type": "array",
"items": {
"type": "string",
"format": "interval"
},
"description": "Intervals are represented as an ISO-8601 string. For example: YYYY-MM-DDThh:mm:ss/YYYY-MM-DDThh:mm:ss"
}
}
},
"expiration": {
"type": "object",
"description": "The expiration value",
"properties": {
"value": {
"type": "string",
"description": "The value for the associated field. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
}
}
},
"metadata": {
"type": "object",
"description": "The metadata value",
"properties": {
"version": {
"type": "integer",
"description": "The version of the associated entity. Used to prevent conflicts on concurrent edits"
},
"modifiedBy": {
"type": "object",
"description": "Modified By"
},
"dateModified": {
"type": "string",
"description": "The date the associated entity was last modified. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
},
"createdBy": {
"type": "object",
"description": "Created By"
},
"dateCreated": {
"type": "string",
"description": "The date the associated entity was created, if available. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
}
},
"required": [
"version"
]
},
"receivingUserId": {
"type": "object",
"description": "Receiving User Id",
"properties": {
"value": {
"type": "string",
"description": "The value for the associated field"
}
}
}
},
"required": [
"PCID",
"managementUnitId",
"weekDateId",
"tradeId",
"metadata"
]
}
genesys_workforce_patch_managementunit_workplan
Update a work plan Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit, or ‘mine’ for the management unit of the logged-in user. |
workPlanId | string | Yes | — | The ID of the work plan to update |
validationMode | string | No | — | Allows to update work plan even if validation result is invalid |
agentCount | integer | No | — | Number of agents in this work plan |
agents | object[] | No | — | Agents in this work plan |
constrainMaximumConsecutiveWorkingDays | boolean | No | — | Whether to constrain the maximum consecutive working days |
constrainMaximumConsecutiveWorkingWeekends | boolean | No | — | Whether to constrain the maximum consecutive working weekends |
constrainMaximumWorkingWeekendsPerPlanningPeriod | boolean | No | — | Whether to constrain the maximum working weekends in the planning period |
constrainMinimumTimeBetweenShifts | boolean | No | — | Whether the minimum time between shifts constraint is enabled for this work plan |
constrainPaidTimeGranularity | boolean | No | — | Whether paid time granularity is constrained for this work plan |
constrainWeeklyPaidTime | boolean | No | — | Whether the weekly paid time constraint is enabled for this work plan |
enabled | boolean | No | — | Whether the work plan is enabled for scheduling |
flexibleWeeklyPaidTime | boolean | No | — | Whether the weekly paid time constraint is flexible for this work plan |
id | string | Yes | — | The globally unique identifier for the object. |
maximumConsecutiveWorkingDays | integer | No | — | The maximum number of consecutive days that agents assigned to this work plan are allowed to work. Used if constrainMaximumConsecutiveWorkingDays == true |
maximumConsecutiveWorkingWeekends | integer | No | — | The maximum number of consecutive weekends that agents who are assigned to this work plan are allowed to work |
maximumDays | integer | No | — | Maximum number days in a week allowed to be scheduled for this work plan |
maximumDaysOffPerPlanningPeriod | integer | No | — | Maximum days off in the planning period |
maximumPaidMinutesPerPlanningPeriod | integer | No | — | Maximum paid minutes in the planning period |
maximumWorkingWeekendsPerPlanningPeriod | integer | No | — | Maximum working weekends in the planning period |
metadata | object | Yes | — | The metadata value |
minimumConsecutiveNonWorkingMinutesPerWeek | integer | No | — | Minimum amount of consecutive non working minutes per week that agents who are assigned this work plan are allowed to have off |
minimumDaysOffPerPlanningPeriod | integer | No | — | Minimum days off in the planning period |
minimumPaidMinutesPerPlanningPeriod | integer | No | — | Minimum paid minutes in the planning period |
minimumShiftStartDistanceMinutes | integer | No | — | The time period in minutes for the duration between the start times of two consecutive working days |
minimumTimeBetweenShiftsMinutes | integer | No | — | Minimum time between shifts in minutes defined in this work plan. Used if constrainMinimumTimeBetweenShifts == true |
minimumWorkingDaysPerWeek | integer | No | — | The minimum number of days that agents assigned to a work plan must work per week |
name | string | No | — | The name value |
optionalDays | object | No | — | Optional Days |
paidTimeGranularityMinutes | integer | No | — | Granularity in minutes allowed for shift paid time in this work plan. Used if constrainPaidTimeGranularity == true |
selfUri | string | No | — | The URI for this object |
shifts | object[] | No | — | Shifts in this work plan |
shiftStartVariancePeriod | string | No | — | The length of the period over which the maximum shift start time variance is applied |
shiftStartVariances | object | No | — | Shift Start Variances |
shiftStartVarianceType | string | No | — | This constraint ensures that an agent starts each workday within a user-defined time threshold |
valid | boolean | No | — | Whether the work plan is valid or not |
weeklyExactPaidMinutes | integer | No | — | Exact weekly paid time in minutes for this work plan. Used if flexibleWeeklyPaidTime == false |
weeklyMaximumPaidMinutes | integer | No | — | Maximum weekly paid time in minutes for this work plan. Used if flexibleWeeklyPaidTime == true |
weeklyMinimumPaidMinutes | integer | No | — | Minimum weekly paid time in minutes for this work plan. Used if flexibleWeeklyPaidTime == true |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit, or 'mine' for the management unit of the logged-in user."
},
"workPlanId": {
"type": "string",
"description": "The ID of the work plan to update"
},
"validationMode": {
"type": "string",
"description": "Allows to update work plan even if validation result is invalid",
"enum": [
"Ignore"
]
},
"agentCount": {
"type": "integer",
"description": "Number of agents in this work plan"
},
"agents": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "The globally unique identifier for the object."
},
"delete": {
"type": "boolean",
"description": "If marked true, the user will be removed an associated entity"
},
"selfUri": {
"type": "string",
"format": "uri",
"description": "The URI for this object"
}
}
},
"description": "Agents in this work plan"
},
"constrainMaximumConsecutiveWorkingDays": {
"type": "boolean",
"description": "Whether to constrain the maximum consecutive working days"
},
"constrainMaximumConsecutiveWorkingWeekends": {
"type": "boolean",
"description": "Whether to constrain the maximum consecutive working weekends"
},
"constrainMaximumWorkingWeekendsPerPlanningPeriod": {
"type": "boolean",
"description": "Whether to constrain the maximum working weekends in the planning period"
},
"constrainMinimumTimeBetweenShifts": {
"type": "boolean",
"description": "Whether the minimum time between shifts constraint is enabled for this work plan"
},
"constrainPaidTimeGranularity": {
"type": "boolean",
"description": "Whether paid time granularity is constrained for this work plan"
},
"constrainWeeklyPaidTime": {
"type": "boolean",
"description": "Whether the weekly paid time constraint is enabled for this work plan"
},
"enabled": {
"type": "boolean",
"description": "Whether the work plan is enabled for scheduling"
},
"flexibleWeeklyPaidTime": {
"type": "boolean",
"description": "Whether the weekly paid time constraint is flexible for this work plan"
},
"id": {
"type": "string",
"description": "The globally unique identifier for the object."
},
"maximumConsecutiveWorkingDays": {
"type": "integer",
"description": "The maximum number of consecutive days that agents assigned to this work plan are allowed to work. Used if constrainMaximumConsecutiveWorkingDays == true"
},
"maximumConsecutiveWorkingWeekends": {
"type": "integer",
"description": "The maximum number of consecutive weekends that agents who are assigned to this work plan are allowed to work"
},
"maximumDays": {
"type": "integer",
"description": "Maximum number days in a week allowed to be scheduled for this work plan"
},
"maximumDaysOffPerPlanningPeriod": {
"type": "integer",
"description": "Maximum days off in the planning period"
},
"maximumPaidMinutesPerPlanningPeriod": {
"type": "integer",
"description": "Maximum paid minutes in the planning period"
},
"maximumWorkingWeekendsPerPlanningPeriod": {
"type": "integer",
"description": "Maximum working weekends in the planning period"
},
"metadata": {
"type": "object",
"description": "The metadata value",
"properties": {
"modifiedBy": {
"type": "object",
"description": "Modified By"
},
"dateModified": {
"type": "string",
"description": "The date the associated entity was last modified. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
},
"createdBy": {
"type": "object",
"description": "Created By"
},
"dateCreated": {
"type": "string",
"description": "The date the associated entity was created, if available. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
},
"version": {
"type": "integer",
"description": "The version of the associated entity. Used to prevent conflicts on concurrent edits"
}
},
"required": [
"version"
]
},
"minimumConsecutiveNonWorkingMinutesPerWeek": {
"type": "integer",
"description": "Minimum amount of consecutive non working minutes per week that agents who are assigned this work plan are allowed to have off"
},
"minimumDaysOffPerPlanningPeriod": {
"type": "integer",
"description": "Minimum days off in the planning period"
},
"minimumPaidMinutesPerPlanningPeriod": {
"type": "integer",
"description": "Minimum paid minutes in the planning period"
},
"minimumShiftStartDistanceMinutes": {
"type": "integer",
"description": "The time period in minutes for the duration between the start times of two consecutive working days"
},
"minimumTimeBetweenShiftsMinutes": {
"type": "integer",
"description": "Minimum time between shifts in minutes defined in this work plan. Used if constrainMinimumTimeBetweenShifts == true"
},
"minimumWorkingDaysPerWeek": {
"type": "integer",
"description": "The minimum number of days that agents assigned to a work plan must work per week"
},
"name": {
"type": "string",
"description": "The name value"
},
"optionalDays": {
"type": "object",
"description": "Optional Days",
"properties": {
"values": {
"type": "array",
"items": {
"type": "string",
"enum": [
"Sunday",
"Monday",
"Tuesday",
"Wednesday",
"Thursday",
"Friday",
"Saturday"
]
},
"description": "The values value"
}
}
},
"paidTimeGranularityMinutes": {
"type": "integer",
"description": "Granularity in minutes allowed for shift paid time in this work plan. Used if constrainPaidTimeGranularity == true"
},
"selfUri": {
"type": "string",
"description": "The URI for this object"
},
"shifts": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "Name of the shift"
},
"days": {
"type": "object",
"description": "The days value"
},
"flexibleStartTime": {
"type": "boolean",
"description": "Whether the start time of the shift is flexible"
},
"exactStartTimeMinutesFromMidnight": {
"type": "integer",
"format": "int32",
"description": "Exact start time of the shift defined as offset minutes from midnight. Used if flexibleStartTime == false"
},
"earliestStartTimeMinutesFromMidnight": {
"type": "integer",
"format": "int32",
"description": "Earliest start time of the shift defined as offset minutes from midnight. Used if flexibleStartTime == true"
},
"latestStartTimeMinutesFromMidnight": {
"type": "integer",
"format": "int32",
"description": "Latest start time of the shift defined as offset minutes from midnight. Used if flexibleStartTime == true"
},
"constrainStopTime": {
"type": "boolean",
"description": "Whether the latest stop time constraint for the shift is enabled. Deprecated, use constrainLatestStopTime instead"
},
"constrainLatestStopTime": {
"type": "boolean",
"description": "Whether the latest stop time constraint for the shift is enabled"
},
"latestStopTimeMinutesFromMidnight": {
"type": "integer",
"format": "int32",
"description": "Latest stop time of the shift defined as offset minutes from midnight. Used if constrainStopTime == true"
},
"constrainEarliestStopTime": {
"type": "boolean",
"description": "Whether the earliest stop time constraint for the shift is enabled"
},
"earliestStopTimeMinutesFromMidnight": {
"type": "integer",
"format": "int32",
"description": "This is the earliest time a shift can end"
},
"startIncrementMinutes": {
"type": "integer",
"format": "int32",
"description": "Increment in offset minutes that would contribute to different possible start times for the shift. Used if flexibleStartTime == true"
},
"flexiblePaidTime": {
"type": "boolean",
"description": "Whether the paid time setting for the shift is flexible"
},
"exactPaidTimeMinutes": {
"type": "integer",
"format": "int32",
"description": "Exact paid time in minutes configured for the shift. Used if flexiblePaidTime == false"
},
"minimumPaidTimeMinutes": {
"type": "integer",
"format": "int32",
"description": "Minimum paid time in minutes configured for the shift. Used if flexiblePaidTime == true"
},
"maximumPaidTimeMinutes": {
"type": "integer",
"format": "int32",
"description": "Maximum paid time in minutes configured for the shift. Used if flexiblePaidTime == true"
},
"constrainContiguousWorkTime": {
"type": "boolean",
"description": "Whether the contiguous time constraint for the shift is enabled"
},
"minimumContiguousWorkTimeMinutes": {
"type": "integer",
"format": "int32",
"description": "Minimum contiguous time in minutes configured for the shift. Used if constrainContiguousWorkTime == true"
},
"maximumContiguousWorkTimeMinutes": {
"type": "integer",
"format": "int32",
"description": "Maximum contiguous time in minutes configured for the shift. Used if constrainContiguousWorkTime == true"
},
"constrainDayOff": {
"type": "boolean",
"description": "Whether day off rule is enabled"
},
"dayOffRule": {
"type": "string",
"enum": [
"NextDayOff",
"PreviousDayOff"
],
"description": "The day off rule for agents to have next day off or previous day off. used if constrainDayOff = true"
},
"planningPeriodConstraints": {
"type": "object",
"description": "Planning Period Constraints"
},
"activities": {
"type": "array",
"items": {
"type": "object",
"properties": {
"activityCodeId": {
"type": "string",
"description": "ID of the activity code associated with this activity"
},
"description": {
"type": "string",
"description": "Description of the activity"
},
"lengthMinutes": {
"type": "integer",
"description": "Length of the activity in minutes"
},
"startTimeIsRelativeToShiftStart": {
"type": "boolean",
"description": "Whether the start time of the activity is relative to the start time of the shift it belongs to"
},
"flexibleStartTime": {
"type": "boolean",
"description": "Whether the start time of the activity is flexible"
},
"earliestStartTimeMinutes": {
"type": "integer",
"description": "Earliest activity start in offset minutes relative to shift start time if startTimeIsRelativeToShiftStart == true else its based on midnight. Used if flexibleStartTime == true"
},
"latestStartTimeMinutes": {
"type": "integer",
"description": "Latest activity start in offset minutes relative to shift start time if startTimeIsRelativeToShiftStart == true else its based on midnight. Used if flexibleStartTime == true"
},
"exactStartTimeMinutes": {
"type": "integer",
"description": "Exact activity start in offset minutes relative to shift start time if startTimeIsRelativeToShiftStart == true else its based on midnight. Used if flexibleStartTime == false"
},
"startTimeIncrementMinutes": {
"type": "integer",
"description": "Increment in offset minutes that would contribute to different possible start times for the activity"
},
"countsAsPaidTime": {
"type": "boolean",
"description": "Whether the activity is paid"
},
"countsAsContiguousWorkTime": {
"type": "boolean",
"description": "Whether the activity duration is counted towards contiguous work time"
},
"minimumLengthFromShiftStartMinutes": {
"type": "integer",
"description": "The minimum duration between shift start and shift item (e.g., break or meal) start in minutes"
},
"minimumLengthFromShiftEndMinutes": {
"type": "integer",
"description": "The minimum duration between shift item (e.g., break or meal) end and shift end in minutes"
},
"maximumLengthFromShiftEndMinutes": {
"type": "integer",
"description": "The maximum duration between shift item (e.g., break or meal) end and shift end in minutes"
},
"id": {
"type": "string",
"description": "ID of the activity. This is required only for the case of updating an existing activity"
},
"delete": {
"type": "boolean",
"description": "If marked true for updating an existing activity, the activity will be permanently deleted"
},
"validationId": {
"type": "string",
"description": "ID of the activity in the context of work plan validation"
}
}
},
"description": "Activities configured for this shift"
},
"id": {
"type": "string",
"description": "ID of the shift. This is required only for the case of updating an existing shift"
},
"delete": {
"type": "boolean",
"description": "If marked true for updating an existing shift, the shift will be permanently deleted"
},
"validationId": {
"type": "string",
"description": "ID of shift in the context of work plan validation"
}
},
"required": [
"name"
]
},
"description": "Shifts in this work plan"
},
"shiftStartVariancePeriod": {
"type": "string",
"description": "The length of the period over which the maximum shift start time variance is applied",
"enum": [
"Weekly",
"PlanningPeriod"
]
},
"shiftStartVariances": {
"type": "object",
"description": "Shift Start Variances",
"properties": {
"values": {
"type": "array",
"items": {
"type": "object"
},
"description": "The values value"
}
}
},
"shiftStartVarianceType": {
"type": "string",
"description": "This constraint ensures that an agent starts each workday within a user-defined time threshold",
"enum": [
"ShiftStart",
"ShiftStartAndPaidDuration"
]
},
"valid": {
"type": "boolean",
"description": "Whether the work plan is valid or not"
},
"weeklyExactPaidMinutes": {
"type": "integer",
"description": "Exact weekly paid time in minutes for this work plan. Used if flexibleWeeklyPaidTime == false"
},
"weeklyMaximumPaidMinutes": {
"type": "integer",
"description": "Maximum weekly paid time in minutes for this work plan. Used if flexibleWeeklyPaidTime == true"
},
"weeklyMinimumPaidMinutes": {
"type": "integer",
"description": "Minimum weekly paid time in minutes for this work plan. Used if flexibleWeeklyPaidTime == true"
}
},
"required": [
"PCID",
"managementUnitId",
"workPlanId",
"id",
"metadata"
]
}
genesys_workforce_patch_managementunit_workplanrotation
Update a work plan rotation Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit, or ‘mine’ for the management unit of the logged-in user. |
workPlanRotationId | string | Yes | — | The ID of the work plan rotation to update |
agents | object[] | No | — | Agents in this work plan rotation |
dateRange | object | No | — | Date Range |
enabled | boolean | No | — | Whether the work plan rotation is enabled for scheduling |
metadata | object | Yes | — | The metadata value |
name | string | No | — | Name of this work plan rotation |
pattern | object | No | — | The pattern value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit, or 'mine' for the management unit of the logged-in user."
},
"workPlanRotationId": {
"type": "string",
"description": "The ID of the work plan rotation to update"
},
"agents": {
"type": "array",
"items": {
"type": "object",
"properties": {
"userId": {
"type": "string",
"description": "The ID of an agent in this work plan rotation"
},
"dateRange": {
"type": "object",
"description": "Date Range"
},
"position": {
"type": "integer",
"format": "int32",
"description": "Start position of the work plan in the pattern for this agent in the work plan rotation. Position value starts from 0"
},
"delete": {
"type": "boolean",
"description": "If marked true for this agent when updating, then this agent will be removed from this work plan rotation"
}
},
"required": [
"userId"
]
},
"description": "Agents in this work plan rotation"
},
"dateRange": {
"type": "object",
"description": "Date Range",
"properties": {
"startBusinessUnitDate": {
"type": "string",
"description": "The start date for work plan rotation or an agent, interpreted in the business unit's time zone. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd"
},
"endBusinessUnitDate": {
"type": "string",
"description": "The end date for work plan rotation or an agent, interpreted in the business unit's time zone. Null denotes open ended date range. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd"
}
},
"required": [
"startBusinessUnitDate"
]
},
"enabled": {
"type": "boolean",
"description": "Whether the work plan rotation is enabled for scheduling"
},
"metadata": {
"type": "object",
"description": "The metadata value",
"properties": {
"modifiedBy": {
"type": "object",
"description": "Modified By"
},
"dateModified": {
"type": "string",
"description": "The date the associated entity was last modified. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
},
"createdBy": {
"type": "object",
"description": "Created By"
},
"dateCreated": {
"type": "string",
"description": "The date the associated entity was created, if available. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
},
"version": {
"type": "integer",
"description": "The version of the associated entity. Used to prevent conflicts on concurrent edits"
}
},
"required": [
"version"
]
},
"name": {
"type": "string",
"description": "Name of this work plan rotation"
},
"pattern": {
"type": "object",
"description": "The pattern value",
"properties": {
"workPlanIds": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of work plan IDs in order of rotation on a weekly basis. Values in the list cannot be null or empty"
}
},
"required": [
"workPlanIds"
]
}
},
"required": [
"PCID",
"managementUnitId",
"workPlanRotationId",
"metadata"
]
}
genesys_workforce_patch_timeoffrequest
Update a time off request for the current user Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
timeOffRequestId | string | Yes | — | The ID of the time off request |
fullDayEarliestStartOffsetMinutes | object | No | — | Full Day Earliest Start Offset Minutes |
fullDayLatestEndOffsetMinutes | object | No | — | Full Day Latest End Offset Minutes |
markedAsRead | boolean | No | — | Whether this request has been read by the agent |
notes | string | No | — | Notes about the time off request. Can only be edited while the request is still pending |
status | string | No | — | The status of this time off request. Can only be canceled if the requested date has not already passed |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"timeOffRequestId": {
"type": "string",
"description": "The ID of the time off request"
},
"fullDayEarliestStartOffsetMinutes": {
"type": "object",
"description": "Full Day Earliest Start Offset Minutes",
"properties": {
"values": {
"type": "array",
"items": {
"type": "integer",
"format": "int32"
},
"description": "The values value"
}
}
},
"fullDayLatestEndOffsetMinutes": {
"type": "object",
"description": "Full Day Latest End Offset Minutes",
"properties": {
"values": {
"type": "array",
"items": {
"type": "integer",
"format": "int32"
},
"description": "The values value"
}
}
},
"markedAsRead": {
"type": "boolean",
"description": "Whether this request has been read by the agent"
},
"notes": {
"type": "string",
"description": "Notes about the time off request. Can only be edited while the request is still pending"
},
"status": {
"type": "string",
"description": "The status of this time off request. Can only be canceled if the requested date has not already passed",
"enum": [
"CANCELED"
]
}
},
"required": [
"PCID",
"timeOffRequestId"
]
}
genesys_workforce_post_adherence_explanations
Submit an adherence explanation for the current user Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
lengthMinutes | integer | Yes | — | The length of the adherence explanation in minutes |
notes | string | No | — | Notes about the adherence explanation |
startDate | string | Yes | — | The start timestamp of the adherence explanation in ISO-8601 format |
type | string | Yes | — | The type of the adherence explanation |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"lengthMinutes": {
"type": "integer",
"description": "The length of the adherence explanation in minutes"
},
"notes": {
"type": "string",
"description": "Notes about the adherence explanation"
},
"startDate": {
"type": "string",
"description": "The start timestamp of the adherence explanation in ISO-8601 format"
},
"type": {
"type": "string",
"description": "The type of the adherence explanation",
"enum": [
"Late"
]
}
},
"required": [
"PCID",
"lengthMinutes",
"startDate",
"type"
]
}
genesys_workforce_post_adherence_explanations_query
Query adherence explanations for the current user Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
forceAsync | boolean | No | — | Force the result of this operation to be sent asynchronously via notification. For testing/app development purposes |
forceDownloadService | boolean | No | — | Force the result of this operation to be sent via download service. For testing/app development purposes |
endDate | string | Yes | — | The end date of the range to query. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
startDate | string | Yes | — | The start date of the range to query. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"forceAsync": {
"type": "boolean",
"description": "Force the result of this operation to be sent asynchronously via notification. For testing/app development purposes"
},
"forceDownloadService": {
"type": "boolean",
"description": "Force the result of this operation to be sent via download service. For testing/app development purposes"
},
"endDate": {
"type": "string",
"description": "The end date of the range to query. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
},
"startDate": {
"type": "string",
"description": "The start date of the range to query. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
}
},
"required": [
"PCID",
"endDate",
"startDate"
]
}
genesys_workforce_post_agent_adherence_explanations
Add an adherence explanation for the requested user Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agentId | string | Yes | — | The ID of the agent to query |
lengthMinutes | integer | Yes | — | The length of the adherence explanation in minutes |
notes | string | No | — | Notes about the adherence explanation |
startDate | string | Yes | — | The start timestamp of the adherence explanation in ISO-8601 format |
status | string | No | — | The status of the adherence explanation |
type | string | Yes | — | The type of the adherence explanation |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"agentId": {
"type": "string",
"description": "The ID of the agent to query"
},
"lengthMinutes": {
"type": "integer",
"description": "The length of the adherence explanation in minutes"
},
"notes": {
"type": "string",
"description": "Notes about the adherence explanation"
},
"startDate": {
"type": "string",
"description": "The start timestamp of the adherence explanation in ISO-8601 format"
},
"status": {
"type": "string",
"description": "The status of the adherence explanation",
"enum": [
"Pending",
"Approved",
"Denied"
]
},
"type": {
"type": "string",
"description": "The type of the adherence explanation",
"enum": [
"Late"
]
}
},
"required": [
"PCID",
"agentId",
"lengthMinutes",
"startDate",
"type"
]
}
genesys_workforce_post_agent_adherence_explanations_query
Query adherence explanations for the given agent across a specified range Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
agentId | string | Yes | — | The ID of the agent to query |
forceAsync | boolean | No | — | Force the result of this operation to be sent asynchronously via notification. For testing/app development purposes |
forceDownloadService | boolean | No | — | Force the result of this operation to be sent via download service. For testing/app development purposes |
endDate | string | Yes | — | The end date of the range to query. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
startDate | string | Yes | — | The start date of the range to query. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"agentId": {
"type": "string",
"description": "The ID of the agent to query"
},
"forceAsync": {
"type": "boolean",
"description": "Force the result of this operation to be sent asynchronously via notification. For testing/app development purposes"
},
"forceDownloadService": {
"type": "boolean",
"description": "Force the result of this operation to be sent via download service. For testing/app development purposes"
},
"endDate": {
"type": "string",
"description": "The end date of the range to query. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
},
"startDate": {
"type": "string",
"description": "The start date of the range to query. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
}
},
"required": [
"PCID",
"agentId",
"endDate",
"startDate"
]
}
genesys_workforce_post_agents
Move agents in and out of management unit Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
destinationManagementUnitId | string | No | — | The id of the management unit for which the move will be performed. To remove users from their management unit this should be set to null. |
userIds | string[] | Yes | — | The list of user ids to move |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"destinationManagementUnitId": {
"type": "string",
"description": "The id of the management unit for which the move will be performed. To remove users from their management unit this should be set to null."
},
"userIds": {
"type": "array",
"items": {
"type": "string"
},
"description": "The list of user ids to move"
}
},
"required": [
"PCID",
"userIds"
]
}
genesys_workforce_post_agents_me_adherence_historical_jobs
Request an agent historical adherence report Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
expand | string[] | No | — | Which fields, if any, to expand with. wfm:AgentHistoricalAdherenceConformance:view permission is required for conformance, and wfm:agentSchedule:view permission is required for scheduledActivities. |
endDate | string | No | — | End of the date range to query in ISO-8601 format. If it is not set, end date will be set to current time |
startDate | string | Yes | — | Beginning of the date range to query in ISO-8601 format |
timeZone | string | No | — | The time zone, in olson format, to use in defining days when computing adherence. The results will be returned as UTC timestamps regardless of the time zone input. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"expand": {
"type": "array",
"items": {
"type": "string",
"enum": [
"exceptionInfo",
"actuals",
"scheduledActivities",
"conformance"
]
},
"description": "Which fields, if any, to expand with. wfm:AgentHistoricalAdherenceConformance:view permission is required for conformance, and wfm:agentSchedule:view permission is required for scheduledActivities."
},
"endDate": {
"type": "string",
"description": "End of the date range to query in ISO-8601 format. If it is not set, end date will be set to current time"
},
"startDate": {
"type": "string",
"description": "Beginning of the date range to query in ISO-8601 format"
},
"timeZone": {
"type": "string",
"description": "The time zone, in olson format, to use in defining days when computing adherence. The results will be returned as UTC timestamps regardless of the time zone input."
}
},
"required": [
"PCID",
"startDate"
]
}
genesys_workforce_post_agents_me_possibleworkshifts
Get agent possible work shifts for requested time frame Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
weekCount | integer | Yes | — | Number of weeks for which to return possible work shifts |
weekStartDate | string | Yes | — | Start date of requested effective work plan, day of week will be in line with business unit start day of week. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"weekCount": {
"type": "integer",
"description": "Number of weeks for which to return possible work shifts"
},
"weekStartDate": {
"type": "string",
"description": "Start date of requested effective work plan, day of week will be in line with business unit start day of week. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd"
}
},
"required": [
"PCID",
"weekCount",
"weekStartDate"
]
}
genesys_workforce_post_agentschedules_managementunits_mine
Fetch agent schedules for the logged in user’s management unit Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
forceAsync | boolean | No | — | Force the result of this operation to be sent asynchronously via notification. For testing/app development purposes |
forceDownloadService | boolean | No | — | Force the result of this operation to be sent via download service. For testing/app development purposes |
endDate | string | Yes | — | The end date for the range to query the schedule’s for the agent’s management unit. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
startDate | string | Yes | — | The start date for the range to query the schedule’s for the agent’s management unit. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"forceAsync": {
"type": "boolean",
"description": "Force the result of this operation to be sent asynchronously via notification. For testing/app development purposes"
},
"forceDownloadService": {
"type": "boolean",
"description": "Force the result of this operation to be sent via download service. For testing/app development purposes"
},
"endDate": {
"type": "string",
"description": "The end date for the range to query the schedule's for the agent's management unit. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
},
"startDate": {
"type": "string",
"description": "The start date for the range to query the schedule's for the agent's management unit. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
}
},
"required": [
"PCID",
"endDate",
"startDate"
]
}
genesys_workforce_post_agentschedules_mine
Get published schedule for the current user Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
endDate | string | Yes | — | End date of the range to search. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
startDate | string | Yes | — | Start date of the range to search. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"endDate": {
"type": "string",
"description": "End date of the range to search. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
},
"startDate": {
"type": "string",
"description": "Start date of the range to search. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
}
},
"required": [
"PCID",
"endDate",
"startDate"
]
}
genesys_workforce_post_managementunit_agents_workplans_query
Get agents work plans configuration Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit, or ‘mine’ for the management unit of the logged-in user. |
forceDownloadService | boolean | No | — | Force the result of this operation to be sent via download service. For testing/app development purposes |
agentIds | string[] | Yes | — | The list of agent IDs |
startDate | string | Yes | — | The start of a date in yyyy-MM-dd format. Response contains values rolled back to nearest BU start day of week. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd |
weekCount | integer | Yes | — | The number of weeks to query |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit, or 'mine' for the management unit of the logged-in user."
},
"forceDownloadService": {
"type": "boolean",
"description": "Force the result of this operation to be sent via download service. For testing/app development purposes"
},
"agentIds": {
"type": "array",
"items": {
"type": "string"
},
"description": "The list of agent IDs"
},
"startDate": {
"type": "string",
"description": "The start of a date in yyyy-MM-dd format. Response contains values rolled back to nearest BU start day of week. Dates are represented as an ISO-8601 string. For example: yyyy-MM-dd"
},
"weekCount": {
"type": "integer",
"description": "The number of weeks to query"
}
},
"required": [
"PCID",
"managementUnitId",
"agentIds",
"startDate",
"weekCount"
]
}
genesys_workforce_post_managementunit_agentschedules_search
Query published schedules for given given time range for set of users Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
managementUnitId | string | Yes | — | The ID of the management unit, or ‘mine’ for the management unit of the logged-in user. |
forceAsync | boolean | No | — | Force the result of this operation to be sent asynchronously via notification. For testing/app development purposes |
forceDownloadService | boolean | No | — | Force the result of this operation to be sent via download service. For testing/app development purposes |
endDate | string | Yes | — | End date of the range to search. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
startDate | string | Yes | — | Start date of the range to search. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z |
userIds | string[] | No | — | IDs of the users for whose schedules to search |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"managementUnitId": {
"type": "string",
"description": "The ID of the management unit, or 'mine' for the management unit of the logged-in user."
},
"forceAsync": {
"type": "boolean",
"description": "Force the result of this operation to be sent asynchronously via notification. For testing/app development purposes"
},
"forceDownloadService": {
"type": "boolean",
"description": "Force the result of this operation to be sent via download service. For testing/app development purposes"
},
"endDate": {
"type": "string",
"description": "End date of the range to search. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
},
"startDate": {
"type": "string",
"description": "Start date of the range to search. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z"
},
"userIds": {
"type": "array",
"items": {
"type": "string"
},
[...]
